#ifndef	LIBRARIES_FILEID_IDDEFS_H
#define LIBRARIES_FILEID_IDDEFS_H TRUE

/*
**
**	$VER: FileID_IDDefs.h 6.12
**
**	FileID definitions for FileID.library
**
**	(C) Copyright 1993-1995 BLOODROCK of SYNDICATE
**	    All Rights Reserved
**


* FI_ID definitions *
*
* Please note that some file types, like e.g. devices and libraries, won't
* ALWAYS be identified. This is because some file types have NO fixed identi-
* fication positions/offsets. Searching thru' files to find a special bit
* combination is not the goal. This would take too much time.
*
* There's no special order within the ID definitions.
* FIIdentify() never returns "(directory)", of course.
*
*/

#define FID_UNKNOWNDATA		  0 /* unknown data file */
#define FID_DMS			  1 /* DMS archive */
#define FID_PNPP20D		  2 /* PowerPacker D */
#define FID_PNPX20D		  3 /* PowerPacker D/E */
#define FID_XPKBLZW		  4 /* Xpk BLZW packed */
#define FID_XPKCBR0		  5 /* Xpk CBR0 packed */
#define FID_XPKDLTA		  6 /* Xpk DLTA encoded */
#define FID_XPKENCO		  7 /* Xpk ENCO encrypted */
#define FID_XPKFEAL		  8 /* Xpk FEAL encrypted */
#define FID_XPKHUFF		  9 /* Xpk HUFF packed */
#define FID_XPKIDEA		 10 /* Xpk IDEA encrypted */
#define FID_XPKIMPL		 11 /* Xpk IMPL packed */
#define FID_XPKNONE		 12 /* Xpk NONE stored */
#define FID_XPKNUKE		 13 /* Xpk NUKE packed */
#define FID_XPKRDCN		 14 /* Xpk RDCN packed */
#define FID_XPKRLEN		 15 /* Xpk RLEN packed */
#define FID_XPKSHRI		 16 /* Xpk SHRI packed */
#define FID_PRFUNKNOWN		 17 /* unknown standard prefs file */
#define FID_CATALOG		 18 /* locale catalog */
#define FID_ILBM		 19 /* IFF picture/brush */
#define FID_8SVX		 20 /* IFF sound sample */
#define FID_IFFANIM		 21 /* IFF animation/animbrush */
#define FID_CANDODECK		 22 /* CanDo deck */
#define FID_IFFRASTERFONT	 23 /* IFF raster font */
#define FID_IFFVECTORFONT	 24 /* IFF vector font */
#define FID_FORMTEXT		 25 /* IFF formatted text */
#define FID_SMUS		 26 /* IFF-Sonix music score */
#define FID_PROWRITEDOC		 27 /* ProWrite document */
#define FID_IMAGINEOBJECT	 28 /* Imagine/Turbo Silver rendering data */
#define FID_DISKICON		 29 /* disk icon */
#define FID_DRAWERICON		 30 /* drawer icon */
#define FID_TOOLICON		 31 /* tool icon */
#define FID_PROJECTICON		 32 /* project icon */
#define FID_TRASHCANICON	 33 /* trashcan icon */
#define FID_DEVICEICON		 34 /* device icon */
#define FID_KICKICON		 35 /* KICKstart disk icon */
#define FID_APPICON		 36 /* application icon */
#define FID_UNKNOWNICON		 37 /* unknown Workbench icon */
#define FID_UNKNOWNIFF		 38 /* unknown IFF file */
#define FID_UNKNOWNXPK		 39 /* unknown Xpk file */
#define FID_AMIGAGUIDE		 40 /* AmigaGuide database */
#define FID_ACBM		 41 /* IFF-ACBM picture (AmigaBasic) */
#define FID_TERMCONFIG		 42 /* Term config file */
#define FID_FANTAMOVIE		 43 /* Fantavision movie */
#define FID_DVANIMBITMAP	 44 /* IFF animated bitmap (Deluxe Video) */
#define FID_IFF2D		 45 /* IFF 2-D object */
#define FID_DCTVRAWPIC		 46 /* DCTV raw picture */
#define FID_DCTVCLIP		 47 /* DCTV Paint clip */
#define FID_DCTVPALETTE		 48 /* DCTV Paint palette */
#define FID_CLOANTOFONT		 49 /* Cloanto Personal FontMaker file */
#define FID_AIFF		 50 /* IFF 1-32 bit sample (Mac, AppleII) */
#define FID_FONTCONTENTS	 51 /* system font contents file (.font) */
#define FID_SYSTEMFONT		 52 /* system font */
#define FID_LIBRARY		 53 /* function library */
#define FID_DEVICEDRIVER	 54 /* DOS device driver */
#define FID_KEYMAP		 55 /* system keymap file */
#define FID_GIFPICTURE		 56 /* GIF picture */
#define FID_PCOMPRESS		 57 /* P-Compress */
#define FID_DELTA20		 58 /* Delta Music 2.0 module */
#define FID_FC13		 59 /* Future Composer 1.3 module */
#define FID_FC14		 60 /* Future Composer 1.4 module */
#define FID_FTM			 61 /* Face The Music module */
#define FID_HIPPELCOSO		 62 /* Hippel-COSO module */
#define FID_JAMCRACKER		 63 /* Jam Cracker module */
#define FID_MEDMODULE		 64 /* MED/OctaMED module */
#define FID_MEDSPECIAL		 65 /* MED/OctaMED song/song+samples */
#define FID_PROMIZER		 66 /* Promizer 4.0 module */
#define FID_SYNTHESIS		 67 /* Synthesis 4.0 module */
#define FID_TFMX		 68 /* TFMX module (song file) */
#define FID_WHITTAKER		 69 /* David Whittaker module */
#define FID_VERTEXCOMP		 70 /* Vertex 3-D compact object */
#define FID_LHA			 71 /* LhA/Lharc archive */
#define FID_LHASFX		 72 /* LhASFX self-extracting archive */
#define FID_ZOO			 73 /* Zoo archive */
#define FID_ZIP			 74 /* Zip archive */
#define FID_ZOOM		 75 /* Zoom archive */
#define FID_ABASIC		 77 /* AmigaBasic listing */
#define FID_ABASICPROTECTED	 78 /* AmigaBasic listing (list protected) */
#define FID_ACBASIC		 79 /* AC-Basic comp'ed AmigaBasic program */
#define FID_RONKLAREN		 80 /* Ron Claren module */
#define FID_SOUNDMON		 81 /* SoundMon module */
#define FID_ST4CHANNEL		 82 /* StarTrekker 4-channel module */
#define FID_ST8CHANNEL		 83 /* StarTrekker 8-Channel module */
#define FID_OFSBOOT		 84 /* DOS OFS bootblock */
#define FID_FFSBOOT		 85 /* DOS FFS bootblock */
#define FID_WARP		 86 /* Warp/NibWarp archive */
#define FID_RESOURCE		 87 /* ReSource file */
#define FID_LINKEROBJECT	 88 /* linkable object code */
#define FID_KICKBOOT		 89 /* KICKstart disk bootblock */
#define FID_UNPACK		 90 /* UnPack archive (AmigaPlus disk mag) */
#define FID_DMCS		 91 /* Deluxe Music Construction Set score */
#define FID_AMIPACK		 92 /* Ami-Pack archive */
#define FID_PACKSCN1LIB		 93 /* PACK_scn1.library packed */
#define FID_FREEZE		 94 /* Freeze packed */
#define FID_RESTORE		 95 /* Restore archive */
#define FID_LHWARP		 96 /* LhWarp archive */
#define FID_JPEG		 97 /* JPEG picture */
#define FID_SONICA		 98 /* Sonic Arranger module */
#define FID_SONICASYNTH		 99 /* Sonic Arranger synth sound */
#define FID_DISNEYANIM		100 /* Disney Animation Studio anim */
#define FID_PROTRACKER		101 /* ProTracker module */
#define FID_ARC			102 /* Arc archive */
#define FID_MSDOSEXE		103 /* MS-DOS PC executable */
#define FID_SAMJRSAMPLE		104 /* Samplitude Jr. sample */
#define FID_SONIXSAMINFO	105 /* Sonix sample info file */
#define FID_OKTALYZER		106 /* Oktalyzer module */
#define FID_UNKNOWNEXE		107 /* unknown executable file */
#define FID_PSADOBEFONT		108 /* PS-Adobe font */
#define FID_POSTSCRIPTFONT	109 /* PostScript font */
#define FID_SOUNDFX13		110 /* SoundFX 1.3 module */
#define FID_PAK			111 /* PAK self-extracting archive */
#define FID_OLDPACMAN		112 /* Old PacMan decrunched abs_load file */
#define FID_PACMAN		113 /* PacMan decrunched abs_load file */
#define FID_PACMANKS		114 /* PacMan decrunched KillSys abs_load */
#define FID_LHPAK		115 /* LhPak self-extracting archive */
#define FID_DIMP		116 /* DiskImploder archive */
#define FID_COMPDISK		117 /* CompDisk archive */
#define FID_DIMPAUTOX		118 /* DiskImploder self-extr. archive */
#define FID_SCALASCRIPT		119 /* Scala script */
#define FID_MWORDDOC		120 /* Maxon Word document */
#define FID_NOFILE		121 /* (directory) */
#define FID_ADPROHANDLER	122 /* AdPro loader/saver/operator */
#define FID_PRINTER		123 /* system printer driver */
#define FID_MPEG		124 /* MPeg picture */
#define FID_SBFORM		125 /* SuperBase form */
#define FID_PRFFLOPPY		126 /* NickPrefs Floppy prefs */
#define FID_PRFFONT		127 /* system Font prefs */
#define FID_PRFICONTROL		128 /* system IControl prefs */
#define FID_PRFINPUT		129 /* system Input prefs */
#define FID_PRFLOCALE		130 /* system Locale prefs */
#define FID_PRFCOUNTRY		131 /* system Country prefs */
#define FID_PRFOVERSCAN		132 /* system Overscan prefs */
#define FID_PRFPALETTE		133 /* system Palette prefs */
#define FID_PRFPOINTER		134 /* system Pointer prefs */
#define FID_PRFPRINTERGFX	135 /* system PrinterGFX prefs */
#define FID_PRFPRINTERPS	136 /* system PrinterPS prefs */
#define FID_PRFPRINTER		137 /* system Printer prefs */
#define FID_PRFSCREENMODE	138 /* system ScreenMode prefs */
#define FID_PRFSERIAL		139 /* system Serial prefs */
#define FID_PRFSOUND		140 /* system Sound prefs */
#define FID_PRFWBPATTERN	141 /* system WBPattern prefs */
#define FID_PRFWBCONFIG		142 /* system WBConfig prefs */
#define FID_PRFWBPICTURE	143 /* NickPrefs WBPicture prefs */
#define FID_PRFBUSYPOINTER	144 /* NickPrefs BusyPointer prefs */
#define FID_PROPGRAM		145 /* Proper Grammar project */
#define FID_REFSCENE		146 /* Reflections scene */
#define FID_REFMAT		147 /* Reflections material */
#define FID_DMAKERSHORT		148 /* RSI Demomaker demo (short save) */
#define FID_DMAKERFINAL		149 /* RSI Demomaker demo (final save) */
#define FID_DMAKERVECTOR	150 /* RSI Demomaker vector object */
#define FID_DMAKERVBALL		151 /* RSI Demomaker vectorball */
#define FID_CGOUTLINE		152 /* CompuGraphic outline font */
#define FID_CGMETRIC		153 /* CompuGraphic .metric font */
#define FID_SJAMBAND		154 /* SuperJam! band */
#define FID_SJAMCHORD		155 /* SuperJam! chord */
#define FID_SJAMDMAP		156 /* SuperJam! drum map */
#define FID_SJAMINSTR		157 /* SuperJam! instrument */
#define FID_SJAMKEYBOARD	158 /* SuperJam! keyboard */
#define FID_SJAMPATCH		159 /* SuperJam! patch */
#define FID_SJAMSECTION		160 /* SuperJam! section */
#define FID_SJAMSONG		161 /* SuperJam! song */
#define FID_SJAMSTYLE		162 /* SuperJam! style */
#define FID_XCADDBASE		163 /* X-CAD database */
#define FID_XCADFONT		164 /* X-CAD font */
#define FID_XCADMENU		165 /* X-CAD menu */
#define FID_XCADOBJECT		166 /* X-CAD object */
#define FID_XCADSYMBOL		167 /* X-CAD symbol */
#define FID_XCADDATA		168 /* X-CAD data */
#define FID_AMIGAEMODULE	169 /* Amiga E compiler module */
#define FID_POSTSCRIPT		170 /* PostScript file */
#define FID_LIST		171 /* IFF-LIST file */
#define FID_MAXIPLANWS		172 /* MaxiPlan worksheet */
#define FID_PDRAWCLIPS		173 /* PDraw/PPage clips */
#define FID_PDRAWFONT		174 /* PDraw font */
#define FID_PDRAWPROJECT	175 /* PDraw project */
#define FID_PDRAWPAGE		176 /* PDraw page */
#define FID_VTRACKERDATA	177 /* VideoTracker data */
#define FID_VTRACKERROTOBJ	178 /* VideoTracker rotor object */
#define FID_VWRITEDATA		179 /* VizaWrite data */
#define FID_VWRITEDOCU		180 /* VizaWrite document */
#define FID_VOYAGERSET		181 /* Voyager settings */
#define FID_PREMIEREDOCU	182 /* Premiere Text document */
#define FID_PPMASTERGRAPHICS	183 /* Publishing Partner Master graphics */
#define FID_PPMASTERTEXT	184 /* Publishing Partner Master text */
#define FID_SCANIMATORLAND	185 /* Scenery Animator landscape */
#define FID_PPAGEFILTER		186 /* PPage filter */
#define FID_PPAGEPAGE		187 /* PPage page */
#define FID_PPAGEDOCU		188 /* PPage document */
#define FID_KONSCRIPTCLIPS	189 /* KonScript clips */
#define FID_AMIWRITEPFONT	190 /* AmiWrite printer font */
#define FID_FCOPYPSFONT		191 /* FinalCopy II PS-font */
#define FID_FCOPYDOCU		192 /* FinalCopy II/FinalWriter document */
#define FID_HYPHENTABLE		193 /* hyphenation table (several prgs.) */
#define FID_IMSHAPE		194 /* ImageMaster shape */
#define FID_RETINAMONPREFS	195 /* Retina monitor prefs */
#define FID_REXXPLUSCOMPILED	196 /* RexxPlus compiled ARexx program */
#define FID_REAL3DDATA		197 /* Real3D data */
#define FID_AMIWRITEDOCU	198 /* KindWords/AmiWrite document */
#define FID_TVPAINTPALETTE	199 /* TV Paint palette */
#define FID_AVFLOW		200 /* AmigaVision (MultiVision) flow */
#define FID_AVCMDS		201 /* AmigaVision (MultiVision) commands */
#define FID_AVEVENTS		202 /* AmigaVision (MultiVision) events */
#define FID_TMESCORE		203 /* TME score */
#define FID_PLINERDICT		204 /* PageLiner dictionary */
#define FID_PLINERDOCU		205 /* PageLiner document */
#define FID_PLINERTAGS		206 /* PageLiner tags */
#define FID_LWAVEOBJECT		207 /* LightWave 3-D object */
#define FID_SCULPTOBJECT	208 /* Sculpt3D object */
#define FID_IFFPATCH		209 /* patch file (IFF format) */
#define FID_B2MIDISONG		210 /* B2-MIDI song */
#define FID_B2MIDIFULLSCORE	211 /* B2-MIDI full instrument score */
#define FID_B2MIDIINSTRSET	212 /* B2-MIDI instrument set */
#define FID_DVIDEOVIDEO		213 /* DeluxeVideo video */
#define FID_TSILVERRGBIMAGE	214 /* TurboSilver RGB image */
#define FID_AFOXLAYOUT		215 /* AmigaFox layout */
#define FID_SSAANIM		216 /* SSA animation/project */
#define FID_MUSICXIFFDATA	217 /* Music-X IFF data */
#define FID_MUSICXDATA		218 /* Music-X data */
#define FID_GFALISTING		219 /* GFA basic listing */
#define FID_DYACADDVFONT	220 /* DynaCADD vector font */
#define FID_DYNACADDDRAWING	221 /* DynaCADD drawing */
#define FID_CALIGARIPFONT	222 /* Caligari poly font */
#define FID_CALIGARIOBJECT	223 /* Caligari 3-D object */
#define FID_CALIGARIENV		224 /* Caligari rendering environment */
#define FID_ADORAGEANIM		225 /* Adorage animation */
#define FID_ADORAGESCRIPT	226 /* Adorage script */
#define FID_MORPHUSPROJECT	227 /* Morphus project */
#define FID_CANONSTDITHER	228 /* Canon Studio dither data */
#define FID_BTEXTDOCU		229 /* BeckerText document */
#define FID_BTEXTMASK		230 /* BeckerText mask */
#define FID_KPASCALUNIT		231 /* Kick-Pascal compiler unit */
#define FID_INTERBASEDBASE	232 /* InterBase database */
#define FID_INTERBASEPDRIVER	233 /* InterBase printer driver */
#define FID_MAXONCADDRAWING	234 /* MaxonCAD drawing */
#define FID_3DPROOBJECT		235 /* 3D Professional object */
#define FID_3DPROLIGHTSRC	236 /* 3D Professional lightsource */
#define FID_3DPROSCENE		237 /* 3D Professional scene */
#define FID_3DPROSCRIPT		238 /* 3D Professional script */
#define FID_GENESISLAND		239 /* Genesis landscape */
#define FID_VISTADEM		240 /* Vista DEM file */
#define FID_VISTASCRIPT		241 /* Vista script */
#define FID_ADLAYPATTERN	242 /* Advanced Layouter pattern */
#define FID_ADLAYLAYOUT		243 /* Advanced Layouter layout */
#define FID_ADLAYPAGE		244 /* Advanced Layouter page */
#define FID_3DCONKITDATA	245 /* 3D Construction Kit data */
#define FID_3DCONKITOBJECT	246 /* 3D Construction Kit object */
#define FID_DIRECTORFILM	247 /* The Director film */
#define FID_SAXONFONT		248 /* Saxon Script PS-font */
#define FID_PPRINTIMAGE		249 /* PPrint image */
#define FID_PPRINTCOLMAP	250 /* PPrint colormap */
#define FID_PPRINTPAGE		251 /* PPrint page */
#define FID_PPRINTPATTERN	252 /* PPrint pattern */
#define FID_PPRINTFORM		253 /* PPrint form */
#define FID_PPRINTDOCU		254 /* PPrint document */
#define FID_PPRINTOBJECT	255 /* PPrint object */
#define FID_PPRINTTEXT		256 /* PPrint text file */
#define FID_RCTSOURCE		257 /* Maxon RCT source */
#define FID_RCTDEFS		258 /* Maxon RCT definition file */
#define FID_VTRACEOBJECT	259 /* Vector Trace 3-D object */
#define FID_VTRACETAPEDRIVER	260 /* Video Director tape driver */
#define FID_AMOSLISTING		261 /* AMOS-Basic listing */
#define FID_ANIMAGICSEG		262 /* ANIMagic seg file */
#define FID_BARSNPIPESPSONG	263 /* Bars & Pipes Professional song */
#define FID_CHAMHDDRIVER	264 /* Chamaeleon harddisk driver */
#define FID_CWORDCSETPUZZLE	265 /* Crossword Construction Set puzzle */
#define FID_CWORDCSETGRID	266 /* Crossword Construction Set grid */
#define FID_GTBOXPROJECT	267 /* GadgetToolsBox project */
#define FID_GOAMIDATEIDBASE	268 /* GoAmiga! Datei database */
#define FID_HSPASCALUNIT	269 /* HS-Pascal compiler unit */
#define FID_INTROCADDRAWING	270 /* IntroCAD drawing */
#define FID_LIAMADAMDBASE	271 /* Liam/Adam database */
#define FID_AVHELPFILE		272 /* AmigaVision helpfile */
#define FID_MUSMAKERINSTR	273 /* MusicMaker instrument */
#define FID_FCSYNTH		274 /* Future Composer synth instrument */
#define FID_STAMSOUND		275 /* StarTrekker AM sound */
#define FID_PSETTER2DOCU	276 /* PageSetter II document */
#define FID_PAINTER3DOUTLINE	277 /* Painter 3D outline file */
#define FID_VSCAPE3DOBJECT	278 /* VideoScape 3D object */
#define FID_PSTREAMDOCU		279 /* PageStream document */
#define FID_PSTREAMFONT		280 /* PageStream font */
#define FID_PSTREAMPDRIVER	281 /* PageStream printer driver */
#define FID_PSTREAMEHANDLER	282 /* PageStream export handler */
#define FID_PSTREAMIHANDLER	283 /* PageStream import handler */
#define FID_MEDSYNTH		284 /* MED/OctaMED synth sound */
#define FID_DELIRIUM		285 /* Deliplayer/Eagleplayer */
#define FID_AMAXHD		286 /* A-Max harddisk driver */
#define FID_IMAGINETEXTURE	287 /* Imagine texture */
#define FID_TSILVERTEXTURE	288 /* TurboSilver texture */
#define FID_IMAGINEEFFECT	289 /* Imagine effect */

/* V2.0 */

#define FID_PNPP2X		290 /* PowerPacker 2.x */
#define FID_PNPP30		291 /* PowerPacker 3.0 */
#define FID_PNIMP31		292 /* Imploder 1.0-3.1 */
#define FID_PNIMP40		293 /* Imploder 4.0 */
#define FID_PNTIT11		294 /* Titanics Cruncher 1.1 */
#define FID_PNTIT12		295 /* Titanics Cruncher 1.2 */
#define FID_PNTNM11		296 /* TNM Cruncher 1.1 */
#define FID_PNPP40		297 /* PowerPacker 4.0 */
#define FID_PNPP40LH		298 /* PP 4.0 Library */
#define FID_PNDRAG10		299 /* DragPack 1.0 */
#define FID_PNDRAG25		300 /* DragPack 2.52 */
#define FID_PNMASTER30R		301 /* Master Cruncher 3.0 R */
#define FID_PNPACKIT10		302 /* PackIt 1.0 */
#define FID_PNTURBOSQ80		303 /* TurboSqueezer 8.0 */
#define FID_PNLIBIMP		304 /* Lib Imploded */
#define FID_PNCRMRN		305 /* CrunchMania R/N/[H] */
#define FID_PNCRMRS		306 /* CrunchMania R/S */
#define FID_PNPP30OV		307 /* PP 3.0 Overlayed */
#define FID_PNPP30PW		308 /* PP 3.0 Password */
#define FID_PNPP40OV		309 /* PP 4.0 Overlayed */
#define FID_PNPP40OVLH		310 /* PP 4.0 Overlay/Lib */
#define FID_PNPP40PW		311 /* PP 4.0 Password */
#define FID_PNPP40PWLH		312 /* PP 4.0 Password/Lib */
#define FID_PNBD20		313 /* Black&Decker 2.0 */
#define FID_PNBK20		314 /* ByteKiller 2.0 */
#define FID_PNBK30		315 /* ByteKiller 3.0 */
#define FID_PNFLASH10		316 /* FlashSpeed 1.0 */
#define FID_PNHPC		317 /* High Pressure Cruncher */
#define FID_PNRSI		318 /* RSI Packer 1.4 */
#define FID_PNMASTER30A		319 /* Master Cruncher 3.0 A */
#define FID_PNTIME22		320 /* Time Cruncher 1.7-2.2 */
#define FID_PNTFA		321 /* TFA Cruncher 1.54 */
#define FID_PNTURTLE13		322 /* Turtle Smasher 1.3 */
#define FID_PNTETRA21		323 /* TetraPack 2.1 */
#define FID_PNTETRA21PRO	324 /* TetraPack 2.1 Pro */
#define FID_PNTETRA22		325 /* TetraPack 2.2 */
#define FID_PNTETRA22PRO	326 /* TetraPack 2.2 Pro */
#define FID_PNDEFJAM32		327 /* DefJam Cruncher 3.2 */
#define FID_PNDEFJAM32PRO	328 /* DefJam Cruncher 3.2 Pro */
#define FID_PNSYNCRO46K		329 /* Syncro Packer 4.6 K */
#define FID_PNCRMAS10		330 /* Crunch Master 1.0 */
#define FID_PNHQC20		331 /* HQC Cruncher 2.0 */
#define FID_PNMAXP12		332 /* MaxPacker 1.2 */
#define FID_PNMEGA12R		333 /* Mega Cruncher 1.2 R */
#define FID_PNRELO10		334 /* ReloKit 1.0 */
#define FID_PNSTC27N		335 /* StoneCracker 2.70 */
#define FID_PNSTC27K		336 /* StoneCracker 2.70 K */
#define FID_PNSTC299		337 /* StoneCracker 2.99 */
#define FID_PNSTC30		338 /* StoneCracker 3.00 */
#define FID_PNSTC31		339 /* StoneCracker 3.10 */
#define FID_PNMEGA10		340 /* Mega Cruncher 1.0 */
#define FID_PNSYNCRO46		341 /* Syncro Packer 4.6 */
#define FID_PNTRYIT101		342 /* TryIt 1.01 */
#define FID_PNMEGA12A		343 /* Mega Cruncher 1.2 A */
#define FID_PNULTP11		344 /* Ultimate Packer 1.1b */
#define FID_PNIMP31P		345 /* Imploder 1.0-3.1 P */
#define FID_PNSTC311		346 /* StoneCracker 3.11 */
#define FID_PNDOUBLE10		347 /* Double Action 1.0 */
#define FID_PNSTC299D		348 /* StoneCracker 2.99d */
#define FID_PNBKPRO10		349 /* ByteKiller Pro 1.0 */
#define FID_PNBKPRO10K		350 /* ByteKiller Pro 1.0 K */
#define FID_PNSPIKE15		351 /* Spike Cruncher 1.5 */
#define FID_PNCOM10E		352 /* Crunch-O-Matic 1.0 E */
#define FID_PNCOM10T		353 /* Crunch-O-Matic 1.0 I/M/T */
#define FID_PNCRMA		354 /* CrunchMania A */
#define FID_PNSTC401A		355 /* StoneCracker 4.01 A */
#define FID_PNSTC401BA		356 /* StoneCracker 4.01 A */
#define FID_PNSTC400		357 /* StoneCracker 4.00 */
#define FID_PNSTC401C		358 /* StoneCracker 4.01 C */
#define FID_PNTETRA102		359 /* TetraPack 1.02 */
#define FID_PNSTC292		360 /* StoneCracker 2.92 */
#define FID_PNS300D		361 /* StoneCracker 3.00 D */
#define FID_PNS310D		362 /* StoneCracker 3.10 D */
#define FID_PNS400D		363 /* StoneCracker 4.00 D */
#define FID_PNS401D		364 /* StoneCracker 4.01 D */
#define FID_PNCRMD		365 /* CrunchMania D */
#define FID_PNFCG10		366 /* FCG 1.0 */
#define FID_PNPACKIT10D		367 /* PackIt 1.0 D */
#define FID_PNDP252D		368 /* DragPack 2.52 D */
#define FID_PNFREEWAY		369 /* Freeway 0.7 */
#define FID_PNIAMATM5		370 /* IAM Packer 1.0 (ATM5) */
#define FID_PNIAMICE		371 /* IAM Packer 1.0 (ICE!) */
#define FID_PNIAMATM5D		372 /* IAM Packer 1.0 D (ATM5) */
#define FID_PNIAMICED		373 /* IAM Packer 1.0 D (ICE!) */
#define FID_PNSTSONG		374 /* SoundTracker Song */
#define FID_PNTURTLE20		375 /* TurtleSmasher 2.00 */
#define FID_PNTURTLE20D		376 /* TurtleSmasher 2.00 D */
#define FID_PNCRMDS		377 /* CrunchMania D/S */
#define FID_PNCRMDH		378 /* CrunchMania D/H */
#define FID_PNCRMDHS		379 /* CrunchMania D/H/S */
#define FID_PNCRMRL		380 /* CrunchMania R/L/[H] */
#define FID_BOOTXBBLIB		381 /* BootX bootblock lib file */
#define FID_BOOTXBRAIN		382 /* BootX brain file */
#define FID_BOOTXRECOG		383 /* BootX recog file */

/* V3.0 */

#define FID_DOCUMDOCU		384 /* Documentum document */
#define FID_TDSPROJECT		385 /* TDS-Editor project */
#define FID_MOVIESETTER		386 /* MovieSetter movie */
#define FID_PNPP30MM		387 /* PowerPacker 3.0 (master mode) */
#define FID_PNPP30PWMM		388 /* PP 3.0 Password (master mode) */
#define FID_PNPP30OVMM		389 /* PP 3.0 Overlayed (master mode) */
#define FID_PNPP2XMM		390 /* PowerPacker 2.x (master mode) */
#define FID_FMSYNTH		391 /* FMSynth instrument */
#define FID_ARFROZEN		392 /* Action Replay frozen program */
#define FID_PRORUNNER20		393 /* ProRunner 2.0 module */
#define FID_MARKII		394 /* Mark II module */
#define FID_MAJORTOM		395 /* Major Tom module */
#define FID_CHAOSENGINE		396 /* Chaos Engine module */
#define FID_CHIPTRACKER		397 /* ChipTracker (KRIS) module */
#define FID_DELTA10		398 /* Delta Music 1.0 module */
#define FID_MUGICIAN		399 /* Digital Mugician module */
#define FID_DSS			400 /* DSS module */
#define FID_GMOD		401 /* GMOD module */
#define FID_HANNIPACKER		402 /* HanniPacker module */
#define FID_INSTEREO		403 /* InStereo! module */
#define FID_MARTINWALKER	404 /* Martin Walker module */
#define FID_MCMD		405 /* MCMD module */
#define FID_PLAYER40A		406 /* Player V4.0A module */
#define FID_PLAYER40B		407 /* Player V4.0B module */
#define FID_PLAYER41A		408 /* Player V4.1A module */
#define FID_PRORUNNER10		409 /* ProRunner 1.0 module */
#define FID_SIDMON20		410 /* SidMon 2.0 module */
#define FID_SOUNDFX20		411 /* SoundFX 2.0 module */
#define FID_SYNTRACKER		412 /* SynTracker module */
#define FID_UNICTRACKER		413 /* Unic-Tracker module */

/* V3.1 */

#define FID_ARJ			 76 /* Arj archive */
#define FID_MINIOFFDBASTEMPLATE	414 /* MiniOffice database template file */
#define FID_CANDODATA		415 /* CanDo application data file */
#define FID_XPKFAST		416 /* Xpk FAST packed */
#define FID_ROBNORTHENR		417 /* Rob Northen Cruncher R/N */
#define FID_ROBNORTHEND		418 /* Rob Northen Cruncher D/N */
#define FID_OLDSOUNDMON		419 /* Old SoundMon module */
#define FID_SFK			420 /* SFK encrypted file */
#define FID_OLDSFK		421 /* Old SFK encrypted file */
#define FID_PNSTC402R		422 /* StoneCracker 4.02a R */
#define FID_PNSTC402RL		423 /* StoneCracker 4.02a R/L */
#define FID_PNSTC402A		424 /* StoneCracker 4.02a A */
#define FID_PNSTC402D		425 /* StoneCracker 4.02a D */
#define FID_PNTSPIKE103R	426 /* TurboSpike 1.03 R/[PC] */
#define FID_PNTUC116R		427 /* TUCruncher 1.16d R */
#define FID_PNTUC116D		428 /* TUCruncher 1.16d D */
#define FID_PNTUC116A		429 /* TUCruncher 1.16d A */
#define FID_PNIMPD		430 /* Imploder D */
#define FID_VT			431 /* VT anti-virus program */
#define FID_LWAVESCENE		432 /* LightWave scene */
#define FID_MPOINTSCRIPT	433 /* Media Point script */
#define FID_MPOINTPAGE		434 /* Media Point page */
#define FID_SAVAGEDC		435 /* Savage Disk Compressor archive */
#define FID_POSTSCRIPTPICTURE	436 /* PostScript picture */
#define FID_MIDISONG		437 /* MIDI song */
#define FID_CAT			438 /* IFF-CAT file */
#define FID_XPKHFMN		439 /* Xpk HFMN packed */

/* V4.0 */

#define FID_SAMMSPROJECT	440 /* SamplitudeMS project */
#define FID_BLANKEFFPREFS	441 /* Blanker effect prefs */
#define FID_ROXEFFECT		442 /* RoxBlanker effect */
#define FID_TCALCPROJECT	443 /* TurboCalc project */
#define FID_ALADDINATLIST	444 /* Aladdin4D ATList */
#define FID_ALADDINBMLIST	445 /* Aladdin4D BMList */
#define FID_ALADDINCONVERS	446 /* Aladdin4D conversion file */
#define FID_ALADDINDRAWING	447 /* Aladdin4D drawing */
#define FID_ALADDINFONT		448 /* Aladdin4D 3D font */
#define FID_HELPDISKTUTO	449 /* HelpDisk "AniMouse" tutorial file */
#define FID_CINEMORPHPROJECT	450 /* CineMorph project */
#define FID_CLARISSAATC		451 /* Clarissa anim time control module */
#define FID_CLARISSATCPREFS	452 /* Clarissa TCPrefs file */
#define FID_CLARISSADEPOT	453 /* Clarissa depot data */
#define FID_MCINEMARENDER	454 /* MaxonCinema4D rendering data */
#define FID_MPLPAPREFS		455 /* MaxonPLP APrefs file */
#define FID_MPLPCOMPOLIB	456 /* MaxonPLP component library */
#define FID_MPLPMACRO		457 /* MaxonPLP macro */
#define FID_MPLPCIRCUIT		458 /* MaxonPLP circuit board */
#define FID_BINHEX		459 /* BinHex file */

/* V4.1 */

#define FID_SCHACHDELBOOK	460 /* SchachDeluxe book */
#define FID_SCHACHDELGAME	461 /* SchachDeluxe game */
#define FID_SCHACHDELBOARD	462 /* SchachDeluxe board */
#define FID_APE			463 /* APE archive */
#define FID_APASSISTDOCU	464 /* ApAssist document */
#define FID_DYNACADDPART	465 /* DynaCADD part */
#define FID_EMOD		466 /* IFF-EMOD module */
#define FID_CFONTMAKERPATT	467 /* ColorFontMaker pattern */
#define FID_PLATINELAYOUT	468 /* Platine 2.0 layout */
#define FID_PLATINECOMPO	469 /* Platine 2.0 component */
#define FID_PNRNCDF		470 /* Rob Northen Cruncher D/F */
#define FID_PNRNCRF		471 /* Rob Northen Cruncher R/F */
#define FID_WPMODULE		472 /* Wanton Packer module */
#define FID_PNSTC410RN		473 /* StoneCracker 4.10.3 R/N */
#define FID_PNSTC410RL		474 /* StoneCracker 4.10.3 R/L */
#define FID_PNSTC410D		475 /* StoneCracker 4.10.3 D */
#define FID_PNSTC410AN		476 /* StoneCracker 4.10.3 A/N */
#define FID_PNSTC410APLAIN	477 /* StoneCracker 4.10.3 A/Plain */
#define FID_PNSTC410APRO	478 /* StoneCracker 4.10.3 A/Pro */

/* V5.0 */

#define FID_PPLOADSEG		479 /* PPLoadSeg file */
#define FID_XPKSMPL		480 /* Xpk SMPL packed */
#define FID_PNCHS09		481 /* CHS Cruncher 0.9 */
#define FID_XPKCRM2		482 /* Xpk CRM2 packed */
#define FID_SCP			483 /* SCP encrypted file */
#define FID_PROFILER		484 /* Profiler modem profile */
#define FID_PCX			485 /* PCX picture */

/* V5.1 */

#define FID_TRACKPACK3		486 /* TrackerPacker 3.x module */
#define FID_SHRINK		487 /* Shrink archive */
#define FID_BPPSUPPORT		488 /* Bars & Pipes Pro support file */
#define FID_OBERONSYM		489 /* Oberon symbol file */
#define FID_PDRAWCGM		490 /* ProDraw CGM picture */
#define FID_XPKCRMS		491 /* Xpk CRMS packed */
#define FID_HANNAPIC		492 /* Hanna-Barbera Anim Workshop picture */
#define FID_REFCAMERA		493 /* Reflections camera file */
#define FID_EUROPLUSMAP		494 /* Europa Plus map */
#define FID_TTRACKER2		495 /* Turbo Tracker II archive */
#define FID_NEWOFSBOOT		496 /* OFS international bootblock (DOS/2) */
#define FID_NEWFFSBOOT		497 /* FFS international bootblock (DOS/3) */
#define FID_OFSCACHEBOOT	498 /* OFS DirCaching bootblock (DOS/4) */
#define FID_FFSCACHEBOOT	499 /* FFS DirCaching bootblock (DOS/5) */
#define FID_EXELINK		500 /* ExeLink linked programs */
#define FID_FCHAIN		501 /* File-Chainer linked programs */
#define FID_LINKEM		502 /* LinkEm linked programs */

/* V6.0 */

#define FID_XPKSQSH		503 /* Xpk SQSH packed */
#define FID_ABACKUP		504 /* ABackup backup file/disk */
#define FID_AMIBACKF		505 /* Ami-Back backup file */
#define FID_AMIBACKD		506 /* Ami-Back backup disk */
#define FID_QB			507 /* Quarterback backup file/disk */
#define FID_MRBCOMPRESSOR	508 /* MRBackup compressor */
#define FID_PCXEGA		509 /* PCX-EGA picture */
#define FID_DISKEXPANDER	510 /* Disk Expander packed */
#define FID_SAMMSPLL		511 /* SamplitudeMS PLL data */
#define FID_THBACKUP		512 /* THBackup backup disk */
#define FID_ZYXELADPCM		513 /* Zyxel ADPCM voice file */
#define FID_MAXONCADCOMPOLIB	514 /* MaxonCAD component library */
#define FID_MAXONCADFONT	515 /* MaxonCAD font */
#define FID_CBMFAX		516 /* CBM standard fax */
#define FID_GIIIFAX		517 /* CCITT G3 standard fax */
#define FID_WWPROFONT		518 /* WaveWriterPro font */
#define FID_WWPROPROJECT	519 /* WaveWriterPro project */
#define FID_AMIMONEYDATABASE	520 /* AmigaMoney database */

/* V6.1 */

#define FID_OWS			521 /* OWS archive */
#define FID_PS3DOC		522 /* PageStreamIII document */
#define FID_DATATYPE		523 /* Multiview datatype */
#define FID_HSNSAMPLE		524 /* HSN sound sample */
#define FID_PCOMPRESS2		525 /* P-Compress 2 */
#define FID_PCOMPRESS2S		526 /* P-Compress 2 "SuperC" */
#define FID_OLDVT		527 /* VT anti-virus program (old version) */
#define FID_ATN			528 /* ATN! (Imploder) d */
#define FID_TIFF		529 /* TIFF picture */
#define FID_PLAYSID3		530 /* PlaySID 3.0 module */
#define FID_SUBPACKER		531 /* SubPacker module */
#define FID_XPKRAKE		532 /* Xpk RAKE packed */
#define FID_KLONDIKECARD	533 /* Klondike cardset */
#define FID_MUSICASS		534 /* Music-Assembler module */
#define FID_PSFONTMETRICS	535 /* PS-Adobe font metrics data */
#define FID_HOTHELP3TEXT	536 /* HotHelp 3.0 text */
#define FID_HOTHELP3CAT		537 /* HotHelp 3.0 catalog */
#define FID_HOTHELP3HEADER	538 /* HotHelp 3.0 header file */
#define FID_HOTHELP3CPREFS	539 /* HotHelp 3.0 compiler prefs */
#define FID_S3M			540 /* S3M module */
#define FID_XPKLHLB		541 /* Xpk LHLB packed */
#define FID_PACKDEV		542 /* PackDev archive */

/* V6.11 */

#define	FID_LZX			543 /* LZX archive */
#define	FID_BGIFONT		544 /* BGI stroked font */

/* V6.12 */

#define FID_OLDFAME		545 /* old FAME data file (obsolete) */
#define FID_FAMEBAUD		546 /* FAME minimum baud times data */
#define FID_FAMEPROT		547 /* FAME transfer protocol settings */
#define FID_FAMEMISC		548 /* FAME miscellaneous settings */
#define FID_FAMESYST		549 /* FAME global system settings */
#define FID_FAMESERV		550 /* FAME server settings */
#define FID_FAMECONF		551 /* FAME conference settings */
#define FID_FAMELEVL		552 /* FAME user access level settings */
#define FID_FAMECOXS		553 /* FAME user conference access setup */
#define FID_FAMEPRES		554 /* FAME new user default presets */
#define FID_FAMEACTI		555 /* FAME activities (log-writes) setup */
#define FID_FAMEERRO		556 /* FAME error action setup */
#define FID_FAMEDOOR		557 /* FAME door setup */
#define FID_FAMEINDO		558 /* FAME internal door setup */
#define FID_FAMESCRS		559 /* FAME text screen */
#define FID_FAMENODE		560 /* FAME node settings */
#define FID_FAMESERI		561 /* FAME node serial setup */
#define FID_FAMEMODM		562 /* FAME node modem setup */
#define FID_FAMESCRE		563 /* FAME node screen/window settings */
#define FID_FAMEFCHK		564 /* FAME file checker setup */
#define FID_FAMETXLA		565 /* FAME text language list */
#define FID_FAMELALO		566 /* FAME locale settings */
#define FID_FAMEDOCO		567 /* FAME door config modules setup */
#define FID_FAMEINMO		568 /* FAME internal module configuration */
#define FID_FAMECOTY		569 /* FAME computer types */
#define FID_FAMEMOTY		570 /* FAME modem types */
#define FID_FAMEMAHE		571 /* FAME message base header data */
#define FID_FAMEMAST		572 /* FAME fast mail status file */
#define FID_FAMEUSDA		573 /* FAME main user data */
#define FID_FAMEUSKE		574 /* FAME user keys additional data */
#define FID_FAMEUSCO		575 /* FAME user conf data */
#define FID_FAMECOPR		576 /* FAME coprocess setups */
#define FID_FAMEPAMS		577 /* FAME message backup (lost carrier) */
#define FID_FAMESCPT		578 /* FAME script */
#define FID_FAMEUSCA		579 /* FAME user allowed script commands */
#define FID_FAMESMSK		580 /* FAME system script mask */
#define FID_FAMEUSFB		581 /* FAME user file base data */
#define FID_FAMEUEXP		582 /* FAME user expansion data */
#define FID_AIBBMODULE		583 /* AIBB benchmark test module */
#define FID_XPKMASH		584 /* Xpk MASH packed */
#define FID_XPKPWPK		585 /* Xpk PWPK packed */
#define FID_AON4CH		586 /* ArtOfNoise Tracker 4-channel module */
#define FID_AON8CH		587 /* ArtOfNoise Tracker 8-channel module */
#define FID_AONDRUMS		588 /* ArtOfNoise Tracker drum sequence */
#define FID_SYMPHONIE		589 /* Symphonie module */
#define FID_XMASH		590 /* XMash archive */
#define FID_AONFM		591 /* ArtOfNoise Tracker fm sound */

#endif  /* LIBRARIES_FILEID_IDDEFS_H */
